#!/bin/bash
#
# This script will update CCpilot XM 2.0 BIOS to v1.0.4.0.
# The System Supervisor (SS) must be v1.5.10.0 or higher. You will be informed to update it if needed.
#
chmod +x ./soft_restart
chmod +x ./cgutlcmd

if [ -e "/usr/lib/libcc-aux2.so.2.8" ]; then
echo "libcc-aux 2.8 or higher exists"
else
mount -oremount,rw /
cp ./libcc-aux2.so.2.9.0 /usr/lib
ln -s /usr/lib/libcc-aux2.so.2.9.0 /usr/lib/libcc-aux2.so.2.8
touch ./persist.file.1
sync
fi

if [ -e "persist.file.2" ]; then
echo "Now updating BIOS"
else
touch ./persist.file.2
./soft_restart
if [ $? -ne 0 ]; then
	echo "Aborting BIOS upgrade!"
	echo "Run ccsettingsconsole --advanced --update=SS --filepath=/full/path/to/CCpilot_XM_SSApplication_v1.5.10.0.hex --force"
	rm ./persist.file.2
	exit 0
fi
fi

./cgutlcmd BFLASH 104.bin /EF
if [ $? -ne 0 ]; then
	echo "Restarting..."
	shutdown -h now
	exit 0
else
	if [ -e "./persist.file.1" ]; then
	echo ""
 	echo "Cleaning up..."
	mount -oremount,rw /
	rm /usr/lib/libcc-aux2.so.2.8
	rm /usr/lib/libcc-aux2.so.2.9.0
	rm ./persist.file.1
	sync
	fi

        echo "BIOS Upgrade completed!"
	rm ./persist.file.2
fi
